<script>
import gql from "graphql-tag";
export default {
  apollo: {
    allBooks: {
      query: gql`
        query {
          allBooks {
            id
            name
            author {
              id
              firstname
              lastname
            }
          }
        }
      `,
    },
  },
  data() {
    return {
      allBooks: [],
    };
  },
  methods: {
    showData() {
        console.log("------allBooks =" , this.allBooks[0].id);
    }
  }
};
</script>

<template>
  <div class="container">
    <div class="row mt-1">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Id</th>
            <th scope="col">Book Name</th>
            <th scope="col">Author firstname</th>
            <th scope="col">Author lastname</th>
          </tr>
        </thead>   
        <tbody>
          <tr v-for="item in allBooks" :key="item.id">
            <td>{{ item.id }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.author.id }}</td>
          </tr>
        </tbody>
      </table>
      <button v-on:click="showData">Show Data</button>
    </div>
  </div>
</template>
